#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: control-monad-free
version: 0.6.1
id: control-monad-free-0.6.1-DLPnWUouwirGGa6ZR8vSdg
key: control-monad-free-0.6.1-DLPnWUouwirGGa6ZR8vSdg
license: PublicDomain
maintainer: pepeiborra@gmail.com
stability: experimental
homepage: http://github.com/pepeiborra/control-monad-free
synopsis: Free monads and monad transformers
description:
    This package provides datatypes to construct Free monads,
    Free monad transformers, and useful instances. In addition it
    provides the constructs to avoid quadratic complexity of left
    associative bind, as explained in:
    .
    * Janis Voigtlander, /Asymptotic Improvement of Computations over Free Monads, MPC'\''08/
category: Control, Monads
author: Luke Palmer, Pepe Iborra
exposed: True
indefinite: False
exposed-modules:
    Control.Monad.Free Control.Monad.Free.Improve
    Control.Monad.Free.Zip
abi: 94eaf771a005b96b5a8660c952a4c1b0
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/control-monad-free-0.6.1
library-dirs: /usr/lib/ghc-8.2.1/site-local/control-monad-free-0.6.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/i386-linux-ghc-8.2.1/control-monad-free-0.6.1
hs-libraries: HScontrol-monad-free-0.6.1-DLPnWUouwirGGa6ZR8vSdg
depends:
    base-4.10.0.0 prelude-extras-0.4.0.3-E2TUDUJSI3wDl8mkUzsaKv
    transformers-0.5.2.0
abi-depends: base-4.10.0.0=a43b4ec12ad02cbfcdfe91f0942afb0a
             prelude-extras-0.4.0.3-E2TUDUJSI3wDl8mkUzsaKv=f1cbc78482e31abf5951ad6fbd370443
             transformers-0.5.2.0=c9bb94e07e5a6cae97f4e7452aafbf8b
haddock-interfaces: /usr/share/doc/haskell-control-monad-free/html/control-monad-free.haddock
haddock-html: /usr/share/doc/haskell-control-monad-free/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

